regina::detail::Strings< dim_ > Struct Template Reference
Implementation details

Contains a collection of compile-time constant strings that describe features of the dimension dim. More...

`#include <triangulation/detail/strings.h>`

## Static Public Attributes

static constexpr const char * | dim
| A string that gives the dimension dim as a number. More...
static constexpr const char * | face
| A string that gives the name of a dim-face, all in lower case. More...
static constexpr const char * | Face
| A string that gives the name of a dim-face, with the first word capitalised. More...
static constexpr const char * | faces
| A string that gives the plural name of a dim-face, all in lower case. More...
static constexpr const char * | Faces
| A string that gives the plural name of a dim-face, with the first word capitalised. More...
static constexpr const char * | simplex
| A string that gives the name of a dim-simplex, all in lower case. More...
static constexpr const char * | Simplex
| A string that gives the name of a dim-simplex, with the first word capitalised. More...

## Detailed Description

### template<int dim_>
struct regina::detail::Strings< dim_ >

Contains a collection of compile-time constant strings that describe features of the dimension dim.

Template Parameters

  dim_ | any dimension between 0 and 15 inclusive.

The documentation for this struct was generated from the following file:

- triangulation/detail/strings.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).